---
---

// Common SASS for all themes
@charset "utf-8";

// Use media queries like this:
// @include media-query($on-palm) {
//     .wrapper {
//         padding-right: calc($spacing_unit / 2);
//         padding-left: calc($spacing_unit / 2);
//     }
// }
@mixin media-query($device) {
  @media screen and (max-width: $device) {
    @content;
  }
}

// Import partials from `sass_dir` (defaults to `_sass`)
@import
  "mixins",
  'clearfix',
  'noselect',
  'positions',
  'visibility',
  "common",
  "fonts"
;
/**
 * Reset some basic elements
 */
body, h1, h2, h3, h4, h5, h6,
p, blockquote, pre, hr,
dl, dd, ol, ul, figure {
  margin: 0;
  padding: 0;
}

// Basic styling
body {
  font: $base_font_weight #{$base_font_size}/#{$base_line_height} $base_font_family;
  color: $fg_color;
  background: $bg_color url(../img/triangles.svg) no-repeat bottom left;
  -webkit-text-size-adjust: 100%;
  -webkit-font-feature-settings: "kern" 1;
  -moz-font-feature-settings: "kern" 1;
  -o-font-feature-settings: "kern" 1;
  font-feature-settings: "kern" 1;
  font-kerning: normal;
  min-height: 100vh;
}

.flexcontainer {
  display: flex;
  flex-direction: column;
  min-height: calc(100vh - 10em);
}

// Set `margin-bottom` to maintain vertical rhythm
h1, h2, h3, h4, h5, h6,
p, blockquote, pre,
ul, ol, dl, figure,
%vertical-rhythm {
  margin-bottom: calc($spacing_unit / 2);
}

b {
  font-family: "cantarell_bold";
}

// Images
img {
  max-width: 100%;
  vertical-align: middle;
}

// Figures
figure > img {
  display: block;
}

figcaption {
  font-size: $small_font_size;
}

// Lists
ul, ol {
  margin-left: $spacing_unit;
}

li {
  > ul,
  > ol {
     margin-bottom: 0;
  }
}

// Headings
h1, h2, h3, h4, h5, h6 {
  font-weight: $base_font_weight;
  font-family: "cantarell_bold";
}


h1 {
  font-size:$base_font_size * 3;
}

h2 {
  font-size:$base_font_size + 20px;
}

h3 {
  font-size:$base_font_size + 12px;
}

h4 {
  font-size:$base_font_size + 8px;
}

h5 {
  font-size:$base_font_size + 4px;
}

h6 {
  font-size:$base_font_size + 2px;
}

// Links
a {
  color: $link_color;
  text-decoration: underline;

  &:visited {
  }

  &:hover {
    color: inherit;
    text-decoration: none;
  }
}

// Blockquotes
blockquote {
  color: $grey_color;
  border-left: 4px solid $grey_color_light;
  padding-left: calc($spacing_unit / 2);
  font-size: 18px;
  letter-spacing: -1px;
  font-style: italic;

  > :last-child {
    margin-bottom: 0;
  }
}

// Code formatting
pre,
code {
  font-size: 15px;
  border: 1px solid $grey_color_light;
  border-radius: 3px;
  background-color: #eef;
}

code {
  padding: 1px 5px;
}

pre {
  padding: 8px 12px;
  overflow-x: auto;

  > code {
    border: 0;
    padding-right: 0;
    padding-left: 0;
  }
}

// lists

ul {
  margin: 0;
  padding:0;
  li {
    display: block;
    padding: 1em 2em;
    color: $text_color;
    
    &:last-child {
      border-bottom: none;
    }
    
    a {
      color: $brand_color;
      font-family: "cantarell_bold";
      
      &:hover { 
        color: lighten($brand_color, 5%);
      }
    }
  }
}


//
.row {
  margin: $spacing_unit 0;
  max-width: 100%;
  display: block;
  border-radius: 8px;
  background-color: $base_color;
  border:1px solid $borders_color;
}

// sections
section {
  padding: $spacing_unit;
  border-bottom:1px solid $borders_color;
  &:last-child{
    border:none;
  }
}


// Wrapper
.wrapper {
  max-width: -webkit-calc(#{$content_width} - (#{$spacing_unit} * 2));
  max-width:         calc(#{$content_width} - (#{$spacing_unit} * 2));
  margin-right: auto;
  margin-left: auto;
  padding-right: $spacing_unit;
  padding-left: $spacing_unit;

  @include media-query($on_laptop) {
    max-width: -webkit-calc(#{$content_width} - (#{$spacing_unit}));
    max-width:         calc(#{$content_width} - (#{$spacing_unit}));
    padding-right: calc($spacing_unit / 2);
    padding-left: calc($spacing_unit / 2);
  }
}

// Site header
$header_height:56px;

header {
  padding: $spacing_unit;
  min-height: $header_height;
  background-color:$brand_color;
  width: calc(100% - #{$spacing_unit} * 2);
  box-shadow: inset 0 -1px 0 0 rgba(0,0,0,0.1), 0 1px 0 0 white;

  > img {
    max-height: $header_height
  }
}

.site-title {
  line-height: $header_height;
  margin: 0 $spacing_unit * 0.5;
  float: left;
  text-decoration: none;

  color: $base_color;
  a {
    color: inherit;
    text-decoration: none;
    &:visited {
    }

    &:hover {
      text-decoration: underline;
      color: inherit;
    }
  }
}

// Site nav
$nav_height:56px;
nav {
  float: right;
  line-height: $nav_height;
  padding:0 $spacing_unit;
  min-height: $nav_height;
  background-color:$base_color;
  width: calc(100% - #{$spacing_unit} * 2);
  box-shadow: inset 0 -1px 0 0 rgba(0,0,0,0.1), 0 1px 0 0 white;


  ul {
    margin: 0;
    padding: 0;
    li {
      padding: 0 $spacing_unit * 0.5;
      display: inline-block;
    }
  }
}


// Site footer
.site-footer {
  margin-top: 4em;
  padding: $spacing_unit 0;
  font-size: 80%;
}

.footer-heading {
  font-size: 18px;
  margin-bottom: calc($spacing_unit / 2);
}

.footer-col-wrapper {
  font-size: 15px;
  color: $grey_color;
  margin-left: calc($spacing_unit / 2) * -1;
}

.footer-col {
  float: left;
  margin-bottom: calc($spacing_unit / 2);
  padding-left: calc($spacing_unit / 2);
}

.footer-col-1 {
  width: -webkit-calc(35% - (#{$spacing_unit} / 2));
  width:         calc(35% - (#{$spacing_unit} / 2));
}

.footer-col-2 {
  width: -webkit-calc(20% - (#{$spacing_unit} / 2));
  width:         calc(20% - (#{$spacing_unit} / 2));
}

.footer-col-3 {
  width: -webkit-calc(45% - (#{$spacing_unit} / 2));
  width:         calc(45% - (#{$spacing_unit} / 2));
}

@include media-query($on_laptop) {
  .footer-col-1,
  .footer-col-2 {
    width: -webkit-calc(50% - (#{$spacing_unit} / 2));
    width:         calc(50% - (#{$spacing_unit} / 2));
  }

  .footer-col-3 {
    width: -webkit-calc(100% - (#{$spacing_unit} / 2));
    width:         calc(100% - (#{$spacing_unit} / 2));
  }
}

@include media-query($on_palm) {
  .footer-col {
    float: none;
    width: -webkit-calc(100% - (#{$spacing_unit} / 2));
    width:         calc(100% - (#{$spacing_unit} / 2));
  }
}

// Page content
.page-content {
  padding: $spacing_unit 0;
}

.page-heading {
  font-size: 20px;
}

.post-list {
  margin-left: 0;
  list-style: none;

  > li {
    margin-bottom: $spacing_unit;
  }
}

.post-meta {
  font-size: $small-font-size;
  color: $grey_color;
}

.post-link {
  display: block;
  font-size: 24px;
}

//Posts
.post-header {
  margin-bottom: $spacing_unit;
}

.post-title {
  font-size: 42px;
  letter-spacing: -1px;
  line-height: 1;
  margin-bottom: 1em;

  @include media-query($on_laptop) {
    font-size: 36px;
  }
}

// Icon grid
ul.icon-grid {
  width: 100%;
  display: inline-block;
  text-align:center;

  a,
  li {
    width: 96px;
    height: 96px;
    display: inline-block;
    border:none;
    padding:$spacing_unit * 0.5;
    margin:calc((#{$spacing_unit} * 0.25) - 4px);
    border-radius: 8px;
    vertical-align: top;
    float: left;
    border: 2px solid transparent;
    > span {
      margin-top: 4px;
      display: block;
      font-family: monospace;
      width: 100%;
      font-size:80%;
      color: $fg_color;
      text-decoration:none;
    }
    .symbolic {
      margin: $spacing_unit * 0.25;
      width: 48px;
      height: 48px;
      vertical-align: top;
    }

    > svg path:not(.warning):not(.error):not(.success) {
      fill: $fg_color !important;
    }

    &:hover {
      background-color:transparentize($link_color, 0.9);
      border: 2px solid transparentize($link_color, 0.5);
    } 

    &:active:hover{
      box-shadow:inset 0 0 0 2px transparentize($link_color,0.1);
      background-color:transparentize($link_color, 0.8);
      border: 2px solid $link_color;
    }

    &.selected,
    &:active {
      background-color:$base_color;
      border: 2px solid $link_color;
    }

    @include media-query($on_laptop) {
      width: 64px;
      height: 64px;
      margin: 8px;
      > img, >svg {
        height: 32px;
        width: 32px;
      }
      > span {
        font-size:60%;
      }
    }
  }
  a>span{color:$link_color}
  .noexport-bits {
    display: none;
  }
}

// go to top
.go-to-top {
  padding: 12px;
  position:relative;
  float: right;
  top: -56px;
  height: 0;
}

// Search

#searchInput {
  display: block;
  font-size: 140%;
  padding: 1em;
  margin: 0 auto 2em auto;
  width: 20em;
}

// Switches

// switch colors
$switch_active_bg_color: $link_color;
$switch_active_fg_color: #fff;
$switch_bg_color: darken($bg_color, 10%);
$switch_fg_color: lighten($fg_color, 20%);


// changing width and height will scale all aspects of the switch
$switch_width: 44px;
$switch_height: 24px;

$switch_handle_size: $switch_height - 2px;
$switch_border_radius: $switch_height * 0.5;


$switch_margin: 6px;
$switch_font_size: $switch_height * 0.5;


// Switch
.switch {
  background-color: transparent;
  border-radius: $switch_border_radius;
  cursor: pointer;
  display: inline-block;
  height: $switch_height;
  margin: $switch_margin;
  padding: 3px;
  position: relative;
  vertical-align: top;
  width: $switch_width;
  -webkit-tap-highlight-color: rgba(0,0,0,0);

  // the styled checkbox
  .switch-input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;

    &:focus ~ .switch-handle {
      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.4), 0 0 2px 0 $switch_active_bg_color;
    }

    // Checked
    &:checked ~ .switch-trough {
      background: $switch_active_bg_color;

      &:before {opacity: 0;}
      &:after {opacity: 1;}
    }

    &:checked ~ .switch-handle {
      left: $switch_width - ($switch_handle_size - 2px);
    }
  }

  // Trough
  .switch-trough {
    background: $switch_bg_color;
    border-radius: inherit;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.12), inset 0 0 2px rgba(0, 0, 0, 0.15);
    display: block;
    height: inherit;
    position: relative;
    -webkit-transition: 0.15s ease-out;
    -moz-transition: 0.15s ease-out;
    -o-transition: 0.15s ease-out;
    transition: 0.15s ease-out;
    -webkit-transition-property: opacity background;
    -moz-transition-property: opacity background;
    -o-transition-property: opacity background;
    transition-property: opacity background;
  }

  // Handle
  .switch-handle {
    position: absolute;
    padding:0;
    top: 4px;
    left: 4px;
    width: $switch_handle_size;
    height: $switch_handle_size;
    background: $base_color;
    border-radius: 50%;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.4);
    -webkit-transition: left 0.15s ease-out;
    -moz-transition: left 0.15s ease-out;
    -o-transition: left 0.15s ease-out;
    transition: left 0.15s ease-out;
  }
}
.switch-label {
  line-height: $switch_height + $switch_margin * 3;
}
